:root {
    --main-menu-height: 5rem;
}

#main-menu {
    height: var(--main-menu-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-right: 2rem;
    position: fixed;
    top: 0;
    width: 100vw;
    z-index: 10000;
    color: white;
    /* background: linear-gradient(0deg, transparent, rgb(0 0 0 / 0.5)); */
    transition: all 0.3s ease-in;
    opacity: 1;
    background-color: #fff;
    padding-bottom: 2rem;
    padding-top: 0.5rem;
}

#main-menu.scrolled {
    /* background: hsl(0deg 0% 100% / 90%); */
    transition: all 0.3s ease-in;
    opacity: 1;
    padding: 0.3rem;  /*arrière du couleur en taille reduite*/
}


#main-menu.scrolled img.custom-logo {
    height: 3rem;
    margin-top: 0;
    filter: invert(0);
    transition: all 0.3s ease-in;
}

#main-menu.scrolled .logo-text-complement {
    margin-top: 0;
    font-size: 1.3rem;
    transition: all 0.3s ease-in;
}

#main-menu.scrolled #ccn-hamburger-menu {
    color: black;
    text-shadow: none;
    margin-top: 0;
    transition: all 0.2s ease-in;
}

.custom-logo, .custom-logo.lazyloaded {
    height: 4.5rem;
    padding: 1rem;
    margin-top: 1.7rem;
    transition: height 0.3s ease-in;
}

.logo {
    display: flex;
    align-items: center;
}
.logo > a {
    display: block;
    height: fit-content;
}

.logo-text-complement {
    color: #000;
    text-decoration: none;
    padding: 0.4rem 0.9rem;
    margin-top: 1.6rem;
    /* margin-left: -7rem; */
    /*font-family: 'Whitney Bold';*/
    /* font-weight: 500; */
    font-family: 'Open Sans', sans-serif;  /* font similar to Whitney Bold that supports tcheque language accents */
    font-weight: 800;                      /* equivalent to 500 in Whitney Bol */

    font-size: 1.5rem;
    letter-spacing: 2px;
    border-left: 1px solid #000;
    transition: all 0.3s ease-out;
}

a.logo-text-complement:hover{
    color: #000;
}

#main-menu #titre-header {
    font-size: 0;
} 
#main-menu.scrolled #titre-header {
    font-size: 2rem;
} 
#main-menu.scrolled > .logo > a > img {
    height: 3rem;
}
  #main-menu.scrolled .logo-text-complement {
    font-size: 1.1rem;
}

#ccn-hamburger-menu {
    display: none;
    cursor: pointer;
    transition: all 0.2s ease-in;
}

#main-menu ul.menu,
#main-menu .menu > ul {
    list-style: none;
    display: flex;
    margin-top: 1rem;
    padding: 0;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    max-width: min(100vw, 1200px);
}

#main-menu.scrolled ul.menu{
    margin-top: 0;
}

#main-menu ul.menu > li,
#main-menu .menu > ul > li {
    margin: 0 0rem;
    padding: 5px 10px;
    cursor: pointer;
    transition: all 0.15s ease-out;
}

#main-menu ul.menu > li > a,
#main-menu .menu > ul > li > a {
    color: hsl(10deg 17% 34%);
    text-decoration: none;
    display: inline-block;
    opacity: 0.5;
    font-family: Montserrat;
    font-weight: 700;
}

#main-menu ul.menu > li.current_page_item > a{
    opacity: 1;
}

#main-menu ul.menu > li > a:hover {
    color: var(--global--color-primary);  /*changement du couleur survol*/
}

#main-menu.scrolled ul.sub-menu,
#main-menu.scrolled ul.children{
    background: white;
}

#main-menu.scrolled ul.menu > li > a,
#main-menu.scrolled .menu > ul > li > a {
    /* color: #000000; */
    text-decoration: none;
}

#main-menu.scrolled ul.sub-menu a,
#main-menu.scrolled ul.children a {
    color: black;
}


#main-menu ul.menu li ul.sub-menu,
#main-menu .menu > ul li ul.children {
    list-style: none;
    display: none;
    padding-top: 0.2rem;
    padding-left: 1.4rem;
    justify-content: center;
    flex-wrap: wrap;
    text-align: left;
    background: #ffffff59;
    width: 100%;
    margin-left: -0.7rem;
    margin-top: 0.4rem;
}

#main-menu ul.menu > li > ul.sub-menu,
#main-menu .menu > ul > li > ul.children {
    margin-left: -0.7rem;
    margin-top: 5px;
    width: auto;
    text-align: left;
    padding-left: 0;
    padding-top: 0.8rem;
    min-width: min(100vw, 300px);
}

#main-menu ul.menu li:hover ul.sub-menu,
#main-menu .menu > ul li:hover ul.children {
    display: flex;
    flex-direction: column;
    font-weight: normal;
    position: absolute;
    background: #44444450;
}

#main-menu.scrolled ul.menu li:hover ul.sub-menu,
#main-menu.scrolled .menu > ul li:hover ul.children {
    display: flex;
    flex-direction: column;
    background: #ffffffa6;
    /* margin-top: 0.4rem; */
}

#main-menu ul.sub-menu > li,
#main-menu ul.children > li {
    padding: 0.4rem 0.7rem;
    transition: all 0.15s ease-out;
}

#main-menu ul.sub-menu li:hover,
#main-menu ul.children li:hover {
    background: #ffffff8c;
    transition: all 0.3s ease-in;
}

#main-menu ul.sub-menu > li > a,
#main-menu ul.children > li > a {
    color: white;
    text-decoration: none;
}

#main-menu.scrolled ul.sub-menu > li > a,
#main-menu.scrolled ul.children > li > a {
    text-decoration: none;
}

/*
.menu .current-menu-item {
    font-weight: bold;
    color: var(--primary-color);
    border: 1px solid white;
}

#main-menu.scrolled .menu .current-menu-item {
    font-weight: bold;
    color: var(--primary-color);
    border: 1px solid black;
}
*/
.fas.fa-times {cursor: pointer;}

#main-menu nav.main-menu {
    margin-right: 24px;
}